メインコンテンツへスキップ
POST
/
legal_hold_policy_assignments
cURL
curl -i -X POST "https://api.box.com/2.0/legal_hold_policy_assignments" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "policy_id": "123244",
       "assign_to": {
         "type": "folder",
         "id": "6564564"
       }
     }'
{
  "id": "11446498",
  "type": "legal_hold_policy_assignment",
  "legal_hold_policy": {
    "id": "11446498",
    "type": "legal_hold_policy"
  },
  "assigned_to": {
    "id": "12345",
    "type": "file",
    "etag": "1",
    "sequence_id": "3",
    "name": "Contract.pdf",
    "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
    "file_version": {
      "id": "12345",
      "type": "file_version",
      "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
    },
    "description": "Contract for Q1 renewal",
    "size": 629644,
    "path_collection": {
      "total_count": 1,
      "entries": [
        {
          "id": "12345",
          "type": "folder",
          "etag": "1",
          "sequence_id": "3",
          "name": "Contracts"
        }
      ]
    },
    "created_at": "2012-12-12T10:53:43-08:00",
    "modified_at": "2012-12-12T10:53:43-08:00",
    "trashed_at": "2012-12-12T10:53:43-08:00",
    "purged_at": "2012-12-12T10:53:43-08:00",
    "content_created_at": "2012-12-12T10:53:43-08:00",
    "content_modified_at": "2012-12-12T10:53:43-08:00",
    "created_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "modified_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "owned_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "shared_link": {
      "url": "https://www.box.com/s/vspke7y05sb214wjokpk",
      "effective_access": "company",
      "effective_permission": "can_download",
      "is_password_enabled": true,
      "download_count": 3,
      "preview_count": 3,
      "download_url": "https://www.box.com/shared/static/rh935iit6ewrmw0unyul.jpeg",
      "vanity_url": "https://acme.app.box.com/v/my_url/",
      "vanity_name": "my_url",
      "access": "open",
      "unshared_at": "2018-04-13T13:53:23-07:00",
      "permissions": {
        "can_download": true,
        "can_preview": true,
        "can_edit": false
      }
    },
    "parent": {
      "id": "12345",
      "type": "folder",
      "etag": "1",
      "sequence_id": "3",
      "name": "Contracts"
    },
    "item_status": "active"
  },
  "assigned_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "assigned_at": "2012-12-12T10:53:43-08:00",
  "deleted_at": "2012-12-12T10:53:43-08:00"
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
policy_id
string
必須

割り当てるポリシーのID。

:

"123244"

assign_to
object
必須

ポリシーを割り当てる項目。

レスポンス

新しいリーガルホールドポリシー割り当てを返します。

リーガルホールド割り当ては、ユーザー、フォルダ、ファイル、またはファイルバージョンにリーガルホールドポリシーを割り当てる目的に使用されます。

リーガルホールド割り当てを作成すると、その割り当ての「apply-to」エンティティに属するファイルバージョンにホールドが適用されます。

id
string

このリーガルホールド割り当ての一意の識別子。

:

"11446498"

type
enum<string>

値は常にlegal_hold_policy_assignmentになります。

利用可能なオプション:
legal_hold_policy_assignment
:

"legal_hold_policy_assignment"

そのリーガルホールドポリシー割り当てを含むポリシー。

assigned_to
File · object

リーガルホールドポリシーが割り当てられている項目。タイプとIDを含みます。

assigned_by
ユーザー (Mini) · object

リーガルホールドポリシー割り当てを作成したユーザー。

assigned_at
string<date-time>

リーガルホールドポリシー割り当てオブジェクトが作成された日時。

:

"2012-12-12T10:53:43-08:00"

deleted_at
string<date-time>

割り当て解除リクエストが送信された日時 (割り当てが完全に削除されるまでに時間がかかる場合があるため、この日時は割り当てが完全に削除された日時と一致しない場合があります)。nullの場合、割り当ては削除されていません。

:

"2012-12-12T10:53:43-08:00"